summaryrefslogtreecommitdiffstats
path: root/games/frozen-bubble
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 14:28:18 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:28:18 +0200
commit4dfe05914f4ac78e856eac00103870fef191faf1 (patch)
treed2afbfc6c425421e75d889baaf51a9c2b689bb6e /games/frozen-bubble
parentd0bdee5c41dd5f472d8813a89e3b08f4e44e08d4 (diff)
downloadslackbuilds-4dfe05914f4ac78e856eac00103870fef191faf1.tar.gz
slackbuilds-4dfe05914f4ac78e856eac00103870fef191faf1.tar.xz
games/frozen-bubble: Initial import
Diffstat (limited to 'games/frozen-bubble')
-rw-r--r--games/frozen-bubble/README11
-rw-r--r--games/frozen-bubble/doinst.sh4
-rw-r--r--games/frozen-bubble/frozen-bubble.SlackBuild68
-rw-r--r--games/frozen-bubble/frozen-bubble.desktop8
-rw-r--r--games/frozen-bubble/frozen-bubble.info8
-rw-r--r--games/frozen-bubble/slack-desc11
6 files changed, 110 insertions, 0 deletions
diff --git a/games/frozen-bubble/README b/games/frozen-bubble/README
new file mode 100644
index 0000000000..982eef0a34
--- /dev/null
+++ b/games/frozen-bubble/README
@@ -0,0 +1,11 @@
+Frozen Bubble has colorful 3D rendered penguin animations,
+100 levels of 1p game, hours and hours of 2p game, nights and
+nights of 2p/3p/4p/5p game over LAN or Internet, a level-
+editor, 3 professional quality digital soundtracks, 15 stereo
+sound effects, 8 unique graphical transition effects, 8 unique
+logo eye-candies.
+
+More than ever, you really need this game.
+
+This game requires SDL_perl, SDL_Pango, and locale-gettext, all
+of which are also available at http://slackbuilds.org/
diff --git a/games/frozen-bubble/doinst.sh b/games/frozen-bubble/doinst.sh
new file mode 100644
index 0000000000..61ee2db596
--- /dev/null
+++ b/games/frozen-bubble/doinst.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications > /dev/null 2>&1
+fi
diff --git a/games/frozen-bubble/frozen-bubble.SlackBuild b/games/frozen-bubble/frozen-bubble.SlackBuild
new file mode 100644
index 0000000000..40cdcdf97b
--- /dev/null
+++ b/games/frozen-bubble/frozen-bubble.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for Frozen Bubble
+# Written by Erik Hanson erik@slackbuilds.org
+
+# Modified by the SlackBuilds.org project
+set -e
+
+PRGNAM=frozen-bubble
+VERSION=2.1.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar jxvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS `pkg-config glib-2.0 --cflags`" \
+make PREFIX=/usr || exit 1
+make install DESTDIR=$PKG PREFIX=/usr || exit 1
+
+mkdir -p $PKG/usr/share/applications $PKG/usr/share/icons/hicolor/16x16 \
+ $PKG/usr/share/icons/hicolor/32x32 $PKG/usr/share/icons/hicolor/48x48 \
+ $PKG/usr/share/icons/hicolor/64x64
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cp -a icons/$PRGNAM-icon-16x16.png $PKG/usr/share/icons/hicolor/16x16/$PRGNAM.png
+cp -a icons/$PRGNAM-icon-32x32.png $PKG/usr/share/icons/hicolor/32x32/$PRGNAM.png
+cp -a icons/$PRGNAM-icon-48x48.png $PKG/usr/share/icons/hicolor/48x48/$PRGNAM.png
+cp -a icons/$PRGNAM-icon-64x64.png $PKG/usr/share/icons/hicolor/64x64/$PRGNAM.png
+
+mv $PKG/usr/share/man $PKG/usr/man
+( cd $PKG/usr/man
+ find . -type f -exec chmod 644 {} \;
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+( cd $PKG
+ find . -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+ find . -type d -depth -exec rmdir {} \; 2>/dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS README TIPS VERSION $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/frozen-bubble/frozen-bubble.desktop b/games/frozen-bubble/frozen-bubble.desktop
new file mode 100644
index 0000000000..369b48a555
--- /dev/null
+++ b/games/frozen-bubble/frozen-bubble.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Frozen Bubble
+GenericName=Shooting Bubble Game
+Exec=frozen-bubble
+Icon=/usr/share/icons/hicolor/48x48/frozen-bubble.png
+Type=Application
+Categories=Application;Game;ArcadeGame
diff --git a/games/frozen-bubble/frozen-bubble.info b/games/frozen-bubble/frozen-bubble.info
new file mode 100644
index 0000000000..6fcd825ce5
--- /dev/null
+++ b/games/frozen-bubble/frozen-bubble.info
@@ -0,0 +1,8 @@
+PRGNAM="frozen-bubble"
+VERSION="2.1.0"
+HOMEPAGE="http://www.frozen-bubble.org/"
+DOWNLOAD="http://www.frozen-bubble.org/data/frozen-bubble-2.1.0.tar.bz2"
+MD5SUM="f5eb984897e1ccd52a0d8820d8359861"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="BP{k}"
diff --git a/games/frozen-bubble/slack-desc b/games/frozen-bubble/slack-desc
new file mode 100644
index 0000000000..559c730d3e
--- /dev/null
+++ b/games/frozen-bubble/slack-desc
@@ -0,0 +1,11 @@
+frozen-bubble: Frozen Bubble - More than ever, you really need this game.
+frozen-bubble:
+frozen-bubble: Frozen Bubble has colorful 3D rendered penguin animations,
+frozen-bubble: 100 levels of 1p game, hours and hours of 2p game, nights and
+frozen-bubble: nights of 2p/3p/4p/5p game over LAN or Internet, a level-
+frozen-bubble: editor, 3 professional quality digital soundtracks, 15 stereo
+frozen-bubble: sound effects, 8 unique graphical transition effects, 8 unique
+frozen-bubble: logo eye-candies.
+frozen-bubble: This game requires SDL_perl and SDL_Pango, also available at
+frozen-bubble: http://slackbuilds.org/
+frozen-bubble: Homepage: http://www.frozen-bubble.org/